]> Git Repo - J-u-boot.git/blame - .gitlab-ci.yml
j721s2: yaml: Add board configs for J721S2
[J-u-boot.git] / .gitlab-ci.yml
CommitLineData
1a62a722
TR
1# SPDX-License-Identifier: GPL-2.0+
2
8b0b5017
PH
3variables:
4 DEFAULT_TAG: ""
74bcbb13 5 MIRROR_DOCKER: docker.io
8b0b5017
PH
6
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
cb735173
JS
11# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
8b987698 13image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230624-20Jul2023
1a62a722
TR
14
15# We run some tests in different order, to catch some failures quicker.
16stages:
1a62a722 17 - testsuites
b29cb058 18 - test.py
1a62a722
TR
19 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
1a62a722 22 stage: test.py
58b35850 23 retry: 2 # QEMU may be too slow, etc.
1a62a722
TR
24 before_script:
25 # Clone uboot-test-hooks
bd181a24 26 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
85ae52b9 27 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
1a62a722
TR
28 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
29 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
28a51234
TR
30 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
31 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
49fb28a4 32 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
0a8239af
BM
33 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
34 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
49fb28a4 35 fi
0e60b3a7 36 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
0a8239af
BM
37 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
38 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
49fb28a4 39 fi
b29cb058 40
1a62a722 41 after_script:
e5670730 42 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
24df1b14 43 - rm -rf /tmp/uboot-test-hooks /tmp/venv
1a62a722 44 script:
dd5c954e 45 # If we've been asked to use clang only do one configuration.
4e32fed4 46 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
1aa168ca 47 - echo BUILD_ENV ${BUILD_ENV}
9cea4797
SG
48 - if [ -n "${BUILD_ENV}" ]; then
49 export ${BUILD_ENV};
50 fi
7ec1255c
SG
51 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
52 --board ${TEST_PY_BD} ${OVERRIDE}
82560ae2
HS
53 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
55 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
82560ae2
HS
56 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
57 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
0e60b3a7
BM
58 # create sdcard / spi-nor images for sifive unleashed using genimage
59 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
60 mkdir -p root;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
62 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
63 rm -rf tmp;
64 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
65 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
66 rm -rf tmp;
67 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
68 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
69 fi
bfb2a7fb
SG
70 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
71 wget -O -
72 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
73 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 wget -O -
75 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
76 cbfstool;
77 chmod a+x cbfstool;
78 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
79 fi
085b8978
TR
80 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
4080d097 83 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
4e32fed4 84 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
1a62a722 85 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
f3092473 86 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
4080d097 87 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
cec1e856 88 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
e5670730
MV
89 artifacts:
90 when: always
91 paths:
92 - "*.html"
93 - "*.css"
94 expire_in: 1 week
1a62a722 95
a11cb57d 96build all 32bit ARM platforms:
1a62a722
TR
97 stage: world build
98 script:
99 - ret=0;
bd181a24 100 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7713ad3 101 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
dd5c954e 102 if [[ $ret -ne 0 ]]; then
b52f5a19 103 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
104 exit $ret;
105 fi;
9f7bda10 106
a11cb57d 107build all 64bit ARM platforms:
9f7bda10
TR
108 stage: world build
109 script:
26a426a1 110 - virtualenv -p /usr/bin/python3 /tmp/venv
f0db8395 111 - . /tmp/venv/bin/activate
9f7bda10 112 - ret=0;
bd181a24 113 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7713ad3 114 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
dd5c954e 115 if [[ $ret -ne 0 ]]; then
b52f5a19 116 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
117 exit $ret;
118 fi;
9f7bda10 119
a11cb57d 120build all PowerPC platforms:
9f7bda10
TR
121 stage: world build
122 script:
123 - ret=0;
bd181a24 124 git config --global --add safe.directory "${CI_PROJECT_DIR}";
dd5c954e
SG
125 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
126 if [[ $ret -ne 0 ]]; then
b52f5a19 127 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
128 exit $ret;
129 fi;
9f7bda10 130
a11cb57d 131build all other platforms:
9f7bda10
TR
132 stage: world build
133 script:
134 - ret=0;
bd181a24 135 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7713ad3 136 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
dd5c954e 137 if [[ $ret -ne 0 ]]; then
b52f5a19 138 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
139 exit $ret;
140 fi;
1a62a722 141
bb9b9c1e 142check for new CONFIG symbols outside Kconfig:
c1a7de57
TR
143 stage: testsuites
144 script:
bb9b9c1e
TR
145 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
146 # If grep succeeds and finds a match the test fails as we should
147 # have no matches.
148 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
a03efb6f
TR
149 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
150 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
c1a7de57 151
1a62a722
TR
152# QA jobs for code analytics
153# static code analysis with cppcheck (we can add --enable=all later)
154cppcheck:
1a62a722
TR
155 stage: testsuites
156 script:
4ee7f527 157 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
1a62a722
TR
158
159# search for TODO within source tree
160grep TODO/FIXME/HACK:
1a62a722
TR
161 stage: testsuites
162 script:
163 - grep -r TODO .
164 - grep -r FIXME .
165 # search for HACK within source tree and ignore HACKKIT board
166 - grep -r HACK . | grep -v HACKKIT
167
e9cc7029
HS
168# build documentation
169docs:
3eb7b78b
HS
170 stage: testsuites
171 script:
836049d6
HS
172 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
173 - . /tmp/venvhtml/bin/activate
174 - pip install -r doc/sphinx/requirements.txt
8a6414d1 175 - make htmldocs KDOC_WERROR=1
e9cc7029 176 - make infodocs
3eb7b78b 177
1a62a722
TR
178# some statistics about the code base
179sloccount:
1a62a722
TR
180 stage: testsuites
181 script:
182 - sloccount .
183
184# ensure all configs have MAINTAINERS entries
185Check for configs without MAINTAINERS entry:
1a62a722
TR
186 stage: testsuites
187 script:
7ae8a527 188 - ./tools/buildman/buildman -R
1a62a722
TR
189
190# Ensure host tools build
191Build tools-only:
1a62a722
TR
192 stage: testsuites
193 script:
194 - make tools-only_config tools-only -j$(nproc)
195
1f3910da
PJT
196# Ensure env tools build
197Build envtools:
1f3910da
PJT
198 stage: testsuites
199 script:
200 - make tools-only_config envtools -j$(nproc)
201
7261833f 202Run binman, buildman, dtoc, Kconfig and patman testsuites:
1a62a722
TR
203 stage: testsuites
204 script:
d7ae9321
TR
205 - git config --global user.name "GitLab CI Runner";
206 git config --global user.email [email protected];
b6d4e085 207 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7ae9321 208 export USER=gitlab;
26a426a1 209 virtualenv -p /usr/bin/python3 /tmp/venv;
d7ae9321 210 . /tmp/venv/bin/activate;
38229b55 211 pip install -r test/py/requirements.txt;
bf0a8133 212 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
d7ae9321
TR
213 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
214 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
b6d4e085 215 set +e;
6c914e42
SG
216 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
217 --board sandbox_spl;
b6d4e085 218 set -e;
d7ae9321
TR
219 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
220 ./tools/buildman/buildman -t;
221 ./tools/dtoc/dtoc -t;
6bb74de7 222 ./tools/patman/patman test;
7261833f 223 make testconfig
1a62a722 224
6cfd09d4 225Run tests for Nokia RX-51 (aka N900):
6cfd09d4
T
226 stage: testsuites
227 script:
ce0f745c
T
228 - mkdir nokia_rx51_tmp;
229 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
230 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
231 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
232 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
233 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
234 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
6d6ddabf 235 export PATH=/opt/gcc-13.1.0-nolibc/arm-linux-gnueabi/bin:$PATH;
6cfd09d4
T
236 test/nokia_rx51_test.sh
237
642e51ad
SG
238# Check for any pylint regressions
239Run pylint:
240 stage: testsuites
241 script:
b6d4e085 242 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
642e51ad 243 - pip install -r test/py/requirements.txt
e47bbf7e 244 - pip install asteval pylint==2.12.2 pyopenssl
642e51ad
SG
245 - export PATH=${PATH}:~/.local/bin
246 - echo "[MASTER]" >> .pylintrc
247 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
248 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
b6d4e085 249 - set +e
642e51ad
SG
250 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
251 --board sandbox_spl
b6d4e085 252 - set -e
642e51ad
SG
253 - pylint --version
254 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
255 - make pylint_err
256
441a3d0a
SG
257# Check for pre-schema driver model tags
258Check for pre-schema tags:
259 stage: testsuites
260 script:
261 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
262 # If grep succeeds and finds a match the test fails as we should
263 # have no matches.
264 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
265
c21a5286
SG
266# Check we can package the Python tools
267Check packing of Python tools:
268 stage: testsuites
269 script:
270 - make pip
271
1a62a722
TR
272# Test sandbox with test.py
273sandbox test.py:
1a62a722
TR
274 variables:
275 TEST_PY_BD: "sandbox"
1a62a722
TR
276 <<: *buildman_and_testpy_dfn
277
0219d014 278sandbox with clang test.py:
0219d014
TR
279 variables:
280 TEST_PY_BD: "sandbox"
d7e0678c 281 OVERRIDE: "-O clang-16"
0219d014
TR
282 <<: *buildman_and_testpy_dfn
283
1aa168ca
SG
284sandbox without LTO test.py:
285 variables:
286 TEST_PY_BD: "sandbox"
287 BUILD_ENV: "NO_LTO=1"
288 <<: *buildman_and_testpy_dfn
289
1a62a722 290sandbox_spl test.py:
1a62a722
TR
291 variables:
292 TEST_PY_BD: "sandbox_spl"
afb26ba9 293 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
1a62a722
TR
294 <<: *buildman_and_testpy_dfn
295
6c914e42 296sandbox_noinst_test.py:
6c914e42
SG
297 variables:
298 TEST_PY_BD: "sandbox_noinst"
299 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
300 <<: *buildman_and_testpy_dfn
301
a31eff30
SG
302sandbox_vpl test.py:
303 variables:
304 TEST_PY_BD: "sandbox_vpl"
8b609878 305 TEST_PY_TEST_SPEC: "vpl or test_spl"
a31eff30 306 <<: *buildman_and_testpy_dfn
9cea4797
SG
307
308# Enable tracing and disable LTO, to ensure functions are not elided
309sandbox trace_test.py:
310 variables:
311 TEST_PY_BD: "sandbox"
312 BUILD_ENV: "FTRACE=1 NO_LTO=1"
313 TEST_PY_TEST_SPEC: "trace"
314 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
315 <<: *buildman_and_testpy_dfn
a31eff30 316
699c0b93 317evb-ast2500 test.py:
699c0b93
TR
318 variables:
319 TEST_PY_BD: "evb-ast2500"
320 TEST_PY_ID: "--id qemu"
699c0b93
TR
321 <<: *buildman_and_testpy_dfn
322
b24087ae
JS
323evb-ast2600 test.py:
324 variables:
325 TEST_PY_BD: "evb-ast2600"
326 TEST_PY_ID: "--id qemu"
327 <<: *buildman_and_testpy_dfn
328
1a62a722 329sandbox_flattree test.py:
1a62a722
TR
330 variables:
331 TEST_PY_BD: "sandbox_flattree"
1a62a722
TR
332 <<: *buildman_and_testpy_dfn
333
15e30106
KA
334vexpress_ca9x4 test.py:
335 variables:
336 TEST_PY_BD: "vexpress_ca9x4"
337 TEST_PY_ID: "--id qemu"
338 <<: *buildman_and_testpy_dfn
339
1a62a722 340integratorcp_cm926ejs test.py:
1a62a722
TR
341 variables:
342 TEST_PY_BD: "integratorcp_cm926ejs"
343 TEST_PY_TEST_SPEC: "not sleep"
344 TEST_PY_ID: "--id qemu"
1a62a722
TR
345 <<: *buildman_and_testpy_dfn
346
347qemu_arm test.py:
1a62a722
TR
348 variables:
349 TEST_PY_BD: "qemu_arm"
350 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
351 <<: *buildman_and_testpy_dfn
352
353qemu_arm64 test.py:
1a62a722
TR
354 variables:
355 TEST_PY_BD: "qemu_arm64"
356 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 357 <<: *buildman_and_testpy_dfn
a21e1123
MV
358
359qemu_m68k test.py:
360 variables:
361 TEST_PY_BD: "M5208EVBE"
362 TEST_PY_ID: "--id qemu"
363 TEST_PY_TEST_SPEC: "not sleep and not efi"
364 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
365 <<: *buildman_and_testpy_dfn
1a62a722 366
d8533167 367qemu_malta test.py:
d8533167
DS
368 variables:
369 TEST_PY_BD: "malta"
370 TEST_PY_TEST_SPEC: "not sleep and not efi"
371 TEST_PY_ID: "--id qemu"
372 <<: *buildman_and_testpy_dfn
373
374qemu_maltael test.py:
d8533167
DS
375 variables:
376 TEST_PY_BD: "maltael"
377 TEST_PY_TEST_SPEC: "not sleep and not efi"
378 TEST_PY_ID: "--id qemu"
379 <<: *buildman_and_testpy_dfn
380
381qemu_malta64 test.py:
d8533167
DS
382 variables:
383 TEST_PY_BD: "malta64"
384 TEST_PY_TEST_SPEC: "not sleep and not efi"
385 TEST_PY_ID: "--id qemu"
386 <<: *buildman_and_testpy_dfn
387
388qemu_malta64el test.py:
d8533167
DS
389 variables:
390 TEST_PY_BD: "malta64el"
391 TEST_PY_TEST_SPEC: "not sleep and not efi"
392 TEST_PY_ID: "--id qemu"
393 <<: *buildman_and_testpy_dfn
394
1a62a722 395qemu-ppce500 test.py:
1a62a722
TR
396 variables:
397 TEST_PY_BD: "qemu-ppce500"
398 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
399 <<: *buildman_and_testpy_dfn
400
a379d330 401qemu-riscv32 test.py:
a379d330
BM
402 variables:
403 TEST_PY_BD: "qemu-riscv32"
404 TEST_PY_TEST_SPEC: "not sleep"
a379d330
BM
405 <<: *buildman_and_testpy_dfn
406
7298d82d 407qemu-riscv64 test.py:
7298d82d
TR
408 variables:
409 TEST_PY_BD: "qemu-riscv64"
410 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
411 <<: *buildman_and_testpy_dfn
412
413qemu-riscv32_spl test.py:
49fb28a4
BM
414 variables:
415 TEST_PY_BD: "qemu-riscv32_spl"
416 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
417 <<: *buildman_and_testpy_dfn
418
419qemu-riscv64_spl test.py:
49fb28a4
BM
420 variables:
421 TEST_PY_BD: "qemu-riscv64_spl"
422 TEST_PY_TEST_SPEC: "not sleep"
7298d82d
TR
423 <<: *buildman_and_testpy_dfn
424
1a62a722 425qemu-x86 test.py:
1a62a722
TR
426 variables:
427 TEST_PY_BD: "qemu-x86"
428 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
429 <<: *buildman_and_testpy_dfn
430
431qemu-x86_64 test.py:
1a62a722
TR
432 variables:
433 TEST_PY_BD: "qemu-x86_64"
434 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
435 <<: *buildman_and_testpy_dfn
436
0e125756 437r2dplus_i82557c test.py:
0e125756
MV
438 variables:
439 TEST_PY_BD: "r2dplus"
440 TEST_PY_ID: "--id i82557c_qemu"
441 <<: *buildman_and_testpy_dfn
442
443r2dplus_pcnet test.py:
0e125756
MV
444 variables:
445 TEST_PY_BD: "r2dplus"
446 TEST_PY_ID: "--id pcnet_qemu"
447 <<: *buildman_and_testpy_dfn
448
449r2dplus_rtl8139 test.py:
0e125756
MV
450 variables:
451 TEST_PY_BD: "r2dplus"
452 TEST_PY_ID: "--id rtl8139_qemu"
453 <<: *buildman_and_testpy_dfn
454
455r2dplus_tulip test.py:
0e125756
MV
456 variables:
457 TEST_PY_BD: "r2dplus"
458 TEST_PY_ID: "--id tulip_qemu"
459 <<: *buildman_and_testpy_dfn
460
0e60b3a7
BM
461sifive_unleashed_sdcard test.py:
462 variables:
463 TEST_PY_BD: "sifive_unleashed"
464 TEST_PY_ID: "--id sdcard_qemu"
465 <<: *buildman_and_testpy_dfn
466
467sifive_unleashed_spi-nor test.py:
468 variables:
469 TEST_PY_BD: "sifive_unleashed"
470 TEST_PY_ID: "--id spi-nor_qemu"
471 <<: *buildman_and_testpy_dfn
472
f7c6ee7f 473xilinx_zynq_virt test.py:
1a62a722 474 variables:
f7c6ee7f 475 TEST_PY_BD: "xilinx_zynq_virt"
1a62a722 476 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 477 TEST_PY_ID: "--id qemu"
1a62a722
TR
478 <<: *buildman_and_testpy_dfn
479
480xilinx_versal_virt test.py:
1a62a722
TR
481 variables:
482 TEST_PY_BD: "xilinx_versal_virt"
483 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 484 TEST_PY_ID: "--id qemu"
1a62a722
TR
485 <<: *buildman_and_testpy_dfn
486
487xtfpga test.py:
1a62a722
TR
488 variables:
489 TEST_PY_BD: "xtfpga"
490 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 491 TEST_PY_ID: "--id qemu"
1a62a722 492 <<: *buildman_and_testpy_dfn
bfb2a7fb
SG
493
494coreboot test.py:
495 variables:
496 TEST_PY_BD: "coreboot"
497 TEST_PY_TEST_SPEC: "not sleep"
498 TEST_PY_ID: "--id qemu"
bfb2a7fb 499 <<: *buildman_and_testpy_dfn
This page took 0.256199 seconds and 4 git commands to generate.